# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi

source ~/bin/antigen.zsh

antigen use oh-my-zsh

antigen bundle git
# antigen bundle asdf

antigen bundle zsh-users/zsh-syntax-highlighting
antigen bundle zsh-users/zsh-autosuggestions

# antigen theme PsychoPatate/chill.zsh-theme chill
# antigen theme afowler
# antigen theme awesomepanda
antigen theme romkatv/powerlevel10k

antigen apply
# PATH=~/bin:~/.asdf/installs/rust/1.49.0/bin:$PATH
PATH=~/bin:$PATH:~/.local/bin:~/.yarn/bin/

autoload -Uz compinit && compinit

alias discord='discord --no-sandbox'
#alias ssh="kitty +kitten ssh"
alias icat="kitty +kitten icat"
alias cat="bat"
alias ls='lsd -a'

setopt correct


export EDITOR='emacs -nw'

# To customize prompt, run `p10k configure` or edit ~/.p10k.zsh.
[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh
autoload -U +X bashcompinit && bashcompinit
complete -o nospace -C /home/gallantcrusader/bin/bit bit


export TZ="/usr/share/zoneinfo/America/Chicago"

# eval "$(starship init zsh)"

unalias grm
hash -rf

